view mkinstalldirs @ 56486:81f58ee62d32

Various small changes in addition to: (Window Point): Mention return value of `set-window-point'. (Window Start): `pos-visible-in-window-p' disregards horizontal scrolling. Explain return value if PARTIALLY is non-nil. (Vertical Scrolling): Mention PIXELS-P argument to `window-vscroll' and `set-window-vscroll'. (Size of Window): The argument WINDOW to `window-inside-edges', `window-pixel-edges' and `window-inside-pixel-edges' is optional. (Resizing Windows): Explain return value of `shrink-window-if-larger-than-buffer'. `window-size-fixed' automatically becomes buffer local when set. (Window Configurations): Explain return value of `set-window-configuration'.
author Luc Teirlinck <teirllm@auburn.edu>
date Mon, 19 Jul 2004 21:33:37 +0000
parents 746c40973d25
children 730155197b96 eb7e8d483840
line wrap: on
line source

#! /bin/sh
# mkinstalldirs --- make directory hierarchy
# Author: Noah Friedman <friedman@prep.ai.mit.edu>
# Created: 1993-05-16
# Public domain

errstatus=0

for file
do
   set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'`
   shift

   pathcomp=
   for d
   do
     pathcomp="$pathcomp$d"
     case "$pathcomp" in
       -* ) pathcomp=./$pathcomp ;;
     esac

     if test ! -d "$pathcomp"; then
        echo "mkdir $pathcomp" 1>&2

        (mkdir "$pathcomp" && chmod a+rx "$pathcomp") || lasterr=$?

        if test ! -d "$pathcomp"; then
  	  errstatus=$lasterr
        fi
     fi

     pathcomp="$pathcomp/"
   done
done

exit $errstatus

# mkinstalldirs ends here